package com.tzld.piaoquan.api.dao.mapper.contentplatform.ext;

import com.tzld.piaoquan.api.model.param.contentplatform.GzhPlanListParam;
import com.tzld.piaoquan.api.model.param.contentplatform.VideoContentListParam;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPlan;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ContentPlatformPlanMapperExt {


    int getGzhPlanCount(@Param("param") GzhPlanListParam param,
                        @Param("createAccountId") Long createAccountId);

    List<ContentPlatformGzhPlan> getGzhPlanList(@Param("param") GzhPlanListParam param,
                                                @Param("createAccountId") Long createAccountId,
                                                @Param("offset") int offset,
                                                @Param("pageSize") Integer pageSize);

    List<ContentPlatformGzhPlan> getGzhPlanExists(@Param("accountId") Long accountId,
                                                  @Param("scene") Integer scene,
                                                  @Param("id") Long id);

    void insertGzhPlanReturnId(@Param("record") ContentPlatformGzhPlan gzhPlan);

    String getVideoMaxDt();

    int getVideoCount(@Param("param") VideoContentListParam param, @Param("dt") String dt);

    List<ContentPlatformVideo> getVideoList(@Param("param") VideoContentListParam param,
                                            @Param("dt") String dt,
                                            @Param("offset") int offset,
                                            @Param("pageSize") Integer pageSize);

    void batchInsertContentPlatformVideo(@Param("records") List<ContentPlatformVideo> saveList);
}