package com.tzld.piaoquan.api.model.vo.contentplatform;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class VideoContentItemVO {

    @ApiModelProperty(value = "id")
    private Long videoId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "标题是否修改 0-未修改 1-已修改")
    private Integer titleIsEdit;

    @ApiModelProperty(value = "封面")
    private String cover;

    @ApiModelProperty(value = "封面是否修改 0-未修改 1-已修改")
    private Integer coverIsEdit;

    @ApiModelProperty(value = "视频url")
    private String video;

    @ApiModelProperty(value = "传播效率")
    private Double score;
}
